> # NAME

> cgD3D10RegisterStates - registers graphics pass states for CgFX files

> # SYNOPSIS

>       #include <Cg/cgD3D10.h>

>       void cgD3D10RegisterStates( CGcontext context );

> # PARAMETERS

> context

>   The context in which to register the states.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgD3D10RegisterStates registers a set of states for passes in techniques in CgFX effect files. These states correspond to the set of D3D states that is relevant and/or useful to be set in passes in effect files. See the Cg User's Guide for complete documentation of the states that are made available after calling cgD3D10RegisterStates.

> # EXAMPLES

>       // register D3D10 states for this context

>       CGcontext context = cgCreateContext();
>       cgD3D10RegisterStates(context);

> # ERRORS

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> # HISTORY

> cgD3D10RegisterStates was introduced in Cg 2.1.

> Starting with Cg 2.2, cgD3D10RegisterStates calls cgSetStateLatestProfile for program states it creates and registers the latest profile returned by cgD3D10GetLatestVertexProfile, cgD3D10GetLatestGeometryProfile or cgD3D10GetLatestPixelProfile for the appropriate program domain.

> # SEE ALSO

> cgCreateState, cgSetStateLatestProfile, cgSetPassState, cgResetPassState, cgCallStateValidateCallback, cgGLRegisterStates, cgD3D9RegisterStates